FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get institution by id

Get institution by id

You're viewing documentation for v2. The latest version is v3.
AI Actions
GET
/institutions/{id}

Get institution by id

Path Parameters

idstringrequired

The ID of the institution to fetch details of

Response Body

application/json

application/vnd.goa.error

curl -X GET "https://api.fiskil.com/institutions/10"
{
  "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",
  "id": "22",
  "industry": "banking",
  "is_accessible": true,
  "logo": "https://eastpaclogo.com.au/eastpac.svg",
  "name": "Eastpac",
  "priority": 1,
  "status": {
    "connections": {
      "status": "DEGRADED"
    }
  }
}
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}

Was this page helpful?

Assistant